Get domain
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/domains/{domain_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/domains/{domain_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/domains/{domain_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/domains/{domain_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/domains/{domain_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/domains/{domain_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/domains/{domain_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"status": "<string>",
"stalwart_added": true,
"cloudflare_verified": true,
"max_inboxes": 123,
"current_inboxes": 123,
"aggregate_health_score": 123,
"created_at": "<string>",
"nameservers": [
"<string>"
],
"dns_records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"ttl": 123,
"priority": 123
}
],
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Domains
Get domain
Get detailed domain information
Retrieve complete details about a specific domain including configuration status and DNS records.
Response Includes
- Domain identification and status
- Nameservers to configure
- DNS records (SPF, DKIM, MX)
- Inbox capacity
Example Usage
import requests
domain_id = "550e8400-e29b-41d4-a716-446655440000"
response = requests.get(
f"https://api.coldsend.pro/api/public/v1/domains/{domain_id}",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())
GET
/
api
/
public
/
v1
/
domains
/
{domain_id}
Get domain
curl --request GET \
--url https://api.coldsend.pro/api/public/v1/domains/{domain_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/domains/{domain_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/domains/{domain_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coldsend.pro/api/public/v1/domains/{domain_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.coldsend.pro/api/public/v1/domains/{domain_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.coldsend.pro/api/public/v1/domains/{domain_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coldsend.pro/api/public/v1/domains/{domain_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"status": "<string>",
"stalwart_added": true,
"cloudflare_verified": true,
"max_inboxes": 123,
"current_inboxes": 123,
"aggregate_health_score": 123,
"created_at": "<string>",
"nameservers": [
"<string>"
],
"dns_records": [
{
"type": "<string>",
"name": "<string>",
"value": "<string>",
"ttl": 123,
"priority": 123
}
],
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key with format cs_live_xxx
Path Parameters
Response
Domain retrieved successfully
Detailed domain response.
Domain ID
Domain name
Domain status
Whether added to Stalwart
Whether Cloudflare is verified
Maximum inboxes allowed
Current inbox count
Average health score of all inboxes on this domain (0-100). 100.0 if no inboxes.
Creation timestamp
Nameservers to use
DNS records to configure
Show child attributes
Show child attributes
Last update timestamp
Was this page helpful?

